  With ds_subunit.FieldDefs do
    Begin
      Add('filename',ftstring,40,false);
      add('x',ftfloat,0,false);
      add('y',ftfloat,0,false);
      add('z',ftfloat,0,false);
      add('forex',ftfloat,0,false);
      add('forey',ftfloat,0,false);
      add('forez',ftfloat,0,false);
      add('upx',ftfloat,0,false);
      add('upy',ftfloat,0,false);
      add('upz',ftfloat,0,false);
      add('restricted',ftfloat,0,false);
    end;
  ds_subunit.CreateTable;
  ds_subunit.Open;

